%define distname spring_%{version}

Summary:	Realtime strategy game (inspired by Total Annihilation)
Name:		spring
Version:	0.82.7.1
Release:	%mkrel 1
Source0:	http://spring.clan-sy.com/dl/%{name}_%{version}_src.tar.lzma
# use system font:
Patch1:		spring-0.79.0.2-font.patch
License:	GPLv2+
Group:		Games/Strategy
URL:		http://taspring.clan-sy.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel
BuildRequires:	boost-devel
BuildRequires:	allegro-devel
BuildRequires:	desktop-file-utils
BuildRequires:	devil-devel
BuildRequires:	freetype2-devel
BuildRequires:	glew-devel
BuildRequires:	mesaglu-devel
BuildRequires:	openal-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxcursor-devel
BuildRequires:	python-devel
BuildRequires:	cmake
BuildRequires:	zip
BuildRequires:	p7zip
BuildRequires:	zlib-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	asciidoc
BuildRequires:	java-rpmbuild
Obsoletes:	%{name}-data < 0.75
Requires:	fonts-ttf-freefont
# Some mod is required, this is the one that was shipped with
# spring-data:
Suggests:	spring-mod-nanoblobs
# Some map is required, these are the default maps from the
# installer:
Suggests:	spring-maps-default
# Internet lobby and springsettings:
Suggests:	springlobby

%description
Spring is a 3D realtime strategy game. It was inspired by Total
Annihilation and has the same features Total Annihilation had, and
more.

%prep
%setup -q -n %{distname}
%patch1 -p1 -b .font
sed -i -e 's,%{name}.png,%{name},g' cont/freedesktop/applications/spring.desktop

find rts/lib/7z -type f | xargs chmod -x

cat > README.install.urpmi <<EOF
If you want to install additional mods and maps that are not available as
Mandriva packages, you can install them inside your homedir in subdirectories
.spring/maps and .spring/mods.
EOF

%build
# Spring has both scons and cmake build systems. The cmake one is newer
# (so presumably preferred upstream), the scons one has problems in
# install phase (some stuff won't install to buildroot), and cmake is
# just...nicer. - AdamW 2008/12
# CMAKE_BUILD_TYPE is to enforce not setting type=debug, which would actually
# disable full debugging symbols due to trickery in CMakeLists.txt - Anssi 2009/07
%cmake -DBINDIR=%{_gamesbindir} -DLIBDIR=%{_lib}/%{name} -DJAVA_INCLUDE_PATH=%{java_home}/include -DJAVA_INCLUDE_PATH2=%{java_home}/include/linux -DJAVA_AWT_INCLUDE_PATH=%{java_home}/include
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# Nanar:
# need by spring dedicated server
# it is not installed 

mkdir -p %{buildroot}%{_libdir}/

install -m755 \
    build/libspringserver.so \
    %{buildroot}%{_libdir}/libspringserver.so

perl -pi -e 's|^Exec=.*|Exec=%{_gamesbindir}/%{name}|' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -d -m755 %{buildroot}%{_sysconfdir}/%{name}
echo '$HOME/.spring' > %{buildroot}%{_sysconfdir}/%{name}/datadir
echo '%{_gamesdatadir}/%{name}' >> %{buildroot}%{_sysconfdir}/%{name}/datadir

install -d -m755 %{buildroot}%{_gamesdatadir}/%{name}/{mods,maps}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%doc Documentation/Spring*.txt Documentation/userdocs/* Documentation/cmds.txt
%doc README.install.urpmi
%{_sysconfdir}/%{name}
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_libdir}/%{name}
%{_libdir}/libspringserver.so
%{_mandir}/man*/spring*


%changelog
* Sat Mar 12 2011 nanardon <nanardon> 0.82.7.1-1.mga1
+ Revision: 69664
- 0.82.7.1

* Mon Mar 07 2011 nanardon <nanardon> 0.82.6.1-1.mga1
+ Revision: 65818
- mdv cleanup
- imported package spring


* Sun Nov 14 2010 Olivier Thauvin <nanardon@mandriva.org> 0.82.6.1-1mdv2011.0
+ Revision: 597531
- 0.82.6.1

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new boost

* Thu Aug 19 2010 Olivier Thauvin <nanardon@mandriva.org> 0.82.3-1mdv2011.0
+ Revision: 571373
- 0.82.3

  + Funda Wang <fwang@mandriva.org>
    - add fedora patches
    - New version 0.81.2.1
    - rebuild for new boost

* Mon Feb 22 2010 Emmanuel Blindauer <blindauer@mandriva.org> 0.81.2-1mdv2010.1
+ Revision: 509782
- release 0.81.2

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.81.1.3-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.81.1.3-2mdv2010.1
+ Revision: 500334
- rebuild for new boost

* Sun Jan 31 2010 Emmanuel Blindauer <blindauer@mandriva.org> 0.81.1.3-1mdv2010.1
+ Revision: 498881
- try disabling unitsync
- 0.81.1.3 release

* Mon Dec 28 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.80.5.2-1mdv2010.1
+ Revision: 482987
- Fix compilation
- 7zip required now
- 0.80.5.2 release

* Mon Aug 31 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.80.4-1mdv2010.0
+ Revision: 422779
- version 0.80.4

* Mon Aug 24 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.80.2-2mdv2010.0
+ Revision: 420256
- third try to submit it to the BS
- new version 0.80.2

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.79.1.2-3mdv2010.0
+ Revision: 418898
- seems build correctly

* Mon Jul 13 2009 Anssi Hannula <anssi@mandriva.org> 0.79.1.2-2mdv2010.0
+ Revision: 395426
- fix debugging symbols

* Mon Jul 13 2009 Olivier Thauvin <nanardon@mandriva.org> 0.79.1.2-1mdv2010.0
+ Revision: 395421
- 0.79.1.2

  + Anssi Hannula <anssi@mandriva.org>
    - rediff and re-enable unitsynclog.patch

* Tue May 26 2009 Adam Williamson <awilliamson@mandriva.org> 0.79.0.2-1mdv2010.0
+ Revision: 379968
- add literal.patch to fix a string literal error
- revise and rename the font patch luxi.patch -> font.patch (upstream switched fonts)
- new release 0.79.0.2

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.78.2.1-2mdv2009.1
+ Revision: 354302
- rebuild for new boost

* Wed Jan 21 2009 Adam Williamson <awilliamson@mandriva.org> 0.78.2.1-1mdv2009.1
+ Revision: 332300
- drop literal.patch (fixed upstream)
- new release 0.78.2.1
- temporarily disable unitsynclog.patch (code has changed completely, may no
  longer be needed)
- add literal.patch (fix two string literal errors, reported upstream)
- rediff luxi.patch
- new release 0.78.1.1

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 0.77b5-2mdv2009.1
+ Revision: 316583
- rebuild for new boost

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.77b5-1mdv2009.1
+ Revision: 314119
- rebuild for new boost
- update file lists
- do update_mime_database in %%post for older releases
- make sure to set all necessary paths for cmake
- drop messy scons stuff
- switch to cmake buildsystem: it's less painful than scons
- buildrequires libxcursor-devel
- rediff unitsynclog.patch
- drop javapath.patch (not needed with the cmake buildsystem, can all be done
  with cmake parameters)
- rediff luxi.patch
- tabs not spaces
- disable ld_noundefined (no shared lib, and the cmake system has underlinking
  issues)
- drop unnecessary defines

* Sat Jan 05 2008 Anssi Hannula <anssi@mandriva.org> 0.76b1-1mdv2008.1
+ Revision: 145679
- 0.76b1
- rediff luxi.patch
- fix java support (javapath.patch)
- create unitsync.log always in ~/.spring, not in pwd (unitsynclog.patch)
- drop spring-data and add suggests to a default mod, mappack and lobby
- build with strip=0
- use parallel build
- provide directories for maps and mods
- provide documentation and README.install.urpmi
- disable ccache as the configure script does not like it

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - BR java things
    - New version 0.75b2

  + Adam Williamson <awilliamson@mandriva.org>
    - hopefully fix conflicts with spring-data package
    - fix issues in XDG menu entry
    - new license policy

* Mon Apr 30 2007 Olivier Blin <oblin@mandriva.com> 0.74-0.b3.1mdv2008.0
+ Revision: 19551
- beta 3


* Sun Feb 04 2007 Anssi Hannula <anssi@mandriva.org> 0.74-0.b2.2mdv2007.0
+ Revision: 116164
- add $HOME/.spring as r/w datadir
- own %%{_libdir}/%%{name}

* Tue Jan 23 2007 Olivier Blin <oblin@mandriva.com> 0.74-0.b2.1mdv2007.1
+ Revision: 112364
- fix libdir on x86_64
- use scons configure to set installprefix
- buildrequires zip (to build sdz files)
- buildrequire scons (obviously)
- initial Spring release
- renamed taspring as spring (new upstream name)
- Created package structure for taspring.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.74 Beta2

